import setuptools
import io

from ynot import __version__

distribution = 'ynot'
version = __version__

setuptools.setup(
  name = distribution,
  packages = [distribution],
  #data_files = [('schema', ['schema/transformatorschema.yaml'])],
  install_requires = ['PyYaml', 'jsonpath-ng', 'jsonschema'],
  version = '%s' % version,
  description = '__`y!`__ (`ynot`) is a library and command-line tool for transforming structured data (`json`, `yaml`) quickly and easily to any other layout.',
  long_description=io.open('README.rst', encoding='utf-8').read(),
  author = 'Jakob Stemberger',
  author_email = 'yaccob@gmx.net',
  license = 'Apache 2.0',
  url = 'https://github.com/%s/ynot' % (distribution),
  download_url = 'https://github.com/yaccob/%s/archive/%s.tar.gz' % (distribution, version),
  keywords = ['yaml', 'json', 'transform', 'xslt', 'jsonpath', 'json-path', 'dump', 'convert', 'validate', 'schema'],
  classifiers = ['Programming Language :: Python :: 2.7'],
  scripts = ['scripts/%s' % (distribution)],
)
